
package conexionlimbo;

import com.Realtech.controladors.TblLogTramasJpaController;
import com.Realtech.entity.TblLogTramas;
import java.time.Duration;
import java.time.Instant;
import java.util.Date;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author Desarrollo2
 */
public class ConexionLimbo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        ConexionLimbo cliente = new ConexionLimbo();
    }

    public void processRequest(long codigoServicio, String requestBody, String responseBody, String consumo, String referencia) {
        // Tiempo de conexion muy alta

        Instant durationStart = Instant.now();
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("clienteEPA");
        TblLogTramasJpaController controlador = new TblLogTramasJpaController(emf);

        Instant durationEnd = Instant.now();
        Duration duration = Duration.between(durationStart, durationEnd);
        System.out.println("Tiempo conexion Limbo " + duration.toMillis());

        TblLogTramas t = new TblLogTramas();

        Date fecha = new Date();
        t.setIdConceptoServicio(codigoServicio);
        t.setConsumo(consumo);
        t.setReferencia(referencia);
        t.setTramaEnvio(requestBody);
        t.setTramaRespuesta(responseBody);
        t.setCreated(fecha);
        controlador.create(t);
        emf.close();

    }

}
